OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
event_base Struct Reference

## Data Fields
const struct eventop * | evsel
| Function pointers and other data to describe this event_base's backend. More...
void * | evbase
| Pointer to backend-specific data. More...
struct event_changelist | changelist
| List of changes to tell backend about at next dispatch. More...
const struct eventop * | evsigsel
| Function pointers used to describe the backend that this event_base uses for signals.
struct evsig_info | sig
| Data to implement the common signal handelr code. More...
int | virtual_event_count
| Number of virtual events.
int | event_count
| Number of total events added to this event_base.
int | event_count_active
| Number of total events active in this event_base.
int | event_gotterm
| Set if we should terminate the loop once we're done processing events. More...
int | event_break
| Set if we should terminate the loop immediately.
int | running_loop
| Set if we're running the event_base_loop function, to prevent reentrant invocation. More...
struct event_list * | activequeues
| An array of nactivequeues queues for active events (ones that have triggered, and whose callbacks need to be called). More...
int | nactivequeues
| The length of the activequeues array.
struct common_timeout_list ** | common_timeout_queues
| An array of common_timeout_list* for all of the common timeout values we know. More...
int | n_common_timeouts
| The number of entries used in common_timeout_queues.
int | n_common_timeouts_allocated
| The total size of common_timeout_queues. More...
struct deferred_cb_queue | defer_queue
| List of defered_cb that are active. More...
struct event_io_map | io
| Mapping from file descriptors to enabled (added) events.
struct event_signal_map | sigmap
| Mapping from signal numbers to enabled (added) events. More...
struct event_list | eventqueue
| All events that have been enabled (added) in this event_base.
struct timeval | event_tv
| Stored timeval; used to detect when time is running backwards. More...
struct min_heap | timeheap
| Priority queue of events with timeouts. More...
struct timeval | tv_cache
| Stored timeval: used to avoid calling gettimeofday/clock_gettime too often. More...
unsigned long | th_owner_id
| The thread currently running the event_loop for this base.
void * | th_base_lock
| A lock to prevent conflicting accesses to this event_base.
struct event * | current_event
| The event whose callback is executing right now.
void * | current_event_cond
| A condition that gets signalled when we're done processing an event with waiters on it. More...
int | current_event_waiters
| Number of threads blocking on current_event_cond. More...
enum event_base_config_flag | flags
| Flags that this base was configured with.
int | is_notify_pending
| True if the base already has a pending notify, and we don't need to add any more. More...
evutil_socket_t | th_notify_fd [2]
| A socketpair used by some th_notify functions to wake up the main thread. More...
struct event | th_notify
| An event used by some th_notify functions to wake up the main thread. More...
int(* | th_notify_fn )(struct event_base *base)
| A function used to wake up the main thread from another thread. More...

## Field Documentation

struct event_list* event_base::activequeues

An array of nactivequeues queues for active events (ones that have triggered, and whose callbacks need to be called).

Low priority numbers are more important, and stall higher ones.

Referenced by event_base_free(), and event_base_priority_init().

struct event_changelist event_base::changelist

List of changes to tell backend about at next dispatch.

Only used by the O(1) backends.

Referenced by event_base_free(), event_base_new_with_config(), and event_reinit().

struct common_timeout_list** event_base::common_timeout_queues

An array of common_timeout_list* for all of the common timeout values we know.

Referenced by event_base_free(), and event_base_init_common_timeout().

void* event_base::current_event_cond

A condition that gets signalled when we're done processing an event with waiters on it.

Referenced by event_base_free(), and event_base_new_with_config().

int event_base::current_event_waiters

Number of threads blocking on current_event_cond.

struct deferred_cb_queue event_base::defer_queue

List of defered_cb that are active.

We run these after the active events.

Referenced by event_base_new_with_config().

void* event_base::evbase

Pointer to backend-specific data.

Referenced by event_base_new_with_config(), and event_reinit().

int event_base::event_gotterm

Set if we should terminate the loop once we're done processing events.

Referenced by event_base_got_exit(), and event_base_loop().

struct timeval event_base::event_tv

Stored timeval; used to detect when time is running backwards.

Referenced by event_base_loop(), and event_base_new_with_config().

const struct eventop* event_base::evsel

Function pointers and other data to describe this event_base's backend.

Referenced by event_base_free(), event_base_get_features(), event_base_get_method(), event_base_loop(), event_base_new_with_config(), event_reinit(), evmap_io_add(), evmap_io_del(), and evthread_make_base_notifiable().

int event_base::is_notify_pending

True if the base already has a pending notify, and we don't need to add any more.

int event_base::n_common_timeouts_allocated

The total size of common_timeout_queues.

Referenced by event_base_init_common_timeout().

int event_base::running_loop

Set if we're running the event_base_loop function, to prevent reentrant invocation.

Referenced by event_base_loop().

struct evsig_info event_base::sig

Data to implement the common signal handelr code.

Referenced by event_base_loop(), event_base_new_with_config(), and event_reinit().

struct event_signal_map event_base::sigmap

Mapping from signal numbers to enabled (added) events.

Referenced by event_base_free(), event_base_new_with_config(), and event_reinit().

struct event event_base::th_notify

An event used by some th_notify functions to wake up the main thread.

Referenced by event_base_free(), event_reinit(), and evthread_make_base_notifiable().

evutil_socket_t event_base::th_notify_fd[2]

A socketpair used by some th_notify functions to wake up the main thread.

Referenced by event_base_free(), event_base_new_with_config(), event_reinit(), and evthread_make_base_notifiable().

int(* event_base::th_notify_fn)(struct event_base *base)

A function used to wake up the main thread from another thread.

Referenced by evthread_make_base_notifiable().

struct min_heap event_base::timeheap

Priority queue of events with timeouts.

Referenced by event_base_free(), and event_base_new_with_config().

struct timeval event_base::tv_cache

Stored timeval: used to avoid calling gettimeofday/clock_gettime too often.

Referenced by event_base_gettimeofday_cached().

The documentation for this struct was generated from the following file:

- opal/mca/event/libevent2013/libevent/event-internal.h